Changes from 3.9.0 to 3.10.0

*Kernel:
- Added port option for shell database schema scripts.
- Added SSL proxy support.
- Added enhanced ISBN13 support.
- Added ezmultioptiongroup datatype.
- Implemented task #011008: Update ISBN range tables during setup wizard.
- Implemented enhancement #010806: template override conditions for tipafriend.
- Implemented enhancement #010860: As Object performance patch.
- Implemented enhancement #009625: cannot disable tipafriend for anonymous.
- Implemented enhancement #008851: spammer is abusing the "tipafriend" function.
- Implemented enhancement #011015: template operator to check module(view) is enabled or not.
- Implemented enhancement #010813: Patch to allow eZObjectRelationList in contentobject name.
- Implemented enhancement #009904: Crypt password hashing method.
- Implemented enhancement #009905: Add limitations to section assignment policy.
- Implemented enhancement #10855: Patch for adding ClearCacheMethod[]=none.
- Implemented enhancement #11291: Extending the extended attribute filter.

*Design:
- Added Bulgarian flag.
- Improved enchancement #10023: add only one row into ezmatrix
  (Merged from stable/3.9 (3.9.1) rev.19021)

*eZTemplate:
- Added 'status' parameter to 'object_list' and 'object_list_count' fetch functions of 'section' module.

*Package system:
- Command line package tool 'ezpm.php' updated:
  o 'list', 'import', 'install' command have been changed to match admin
     interface functionality.
  o  Implemented suggestion #010001: 'ezinstallscript' and 'ezextension' items are
     supported by 'add' command.
  o  Implemented suggestion : Allow ezpm to set vendor.
- Implemented enhancement #010041: Import of content objects and classes with a language not activated on site.

*Scripts:
- Implemented enhancement #010347: Progress output for correctxmltext.php and
  updatetypedrelation.php.
  (Merged from stable/3.9 (3.9.1) rev.18252)
- Added script to insert data from dba files that belongs to a datatype into the database (rev. 19501).

*Cronjobs:
- Implemented enhancement #10856: Patch for delayed StaticCache Regeneration ( including cronjob).

* Translations:
- Implemented enhancement #010569: Add language selection to setup wizard.

*Bugfixes:
- Fixed Bug: Minor issue with SQL transformation.
- Fixed bug #9461: Wrong site access list used in some templates of the admin
  interface.
- Fixed bug #9851: Certain table format kills PDF export.
  (Merged from stable/3.8 (3.8.7) rev.17795)
- Fixed bug #8763: the class filter for content creation does not use
  the parentdepth property, assigned in a role
  (Merged from stable/3.8 (3.8.7) rev.17803)
- Fixed bug #9846: foreach internals
  (Merged from stable/3.8 (3.8.7) rev.17808)
- Fixed bug #9850: Possible image template class problem.
  (Merged from stable/3.8 (3.8.7) rev. 17811)
- Fixed bug #9873: Serious regression:
  "You do not have permissions to create an object of the requested class in any language."
- Fixed bug #9887: Certain sequence in simplified XML input may cause line
  removal.
  (Merged from trunk (3.9.0) rev. 17816)
- Fixed bug #9610: Unexpected error changing sub-items sorting type when user
  has limited editing role
  (Merged from stable/3.8 (3.8.7) rev.17825)
- Fixed bug #9901: Setup wizard step site_access doesn't work with kickstart.ini
  properly.
- Fixed bug #9790: using single quotes in strings may cause problem with french
  language in php compiled template
  (Merged from stable/3.8 rev. 17838)
- Fixed bug #9867: Publishing from version view interface is broken.
- Fixed bug #9861: foreach does not work recursive
  (Merged from stable/3.8 rev. 17849)
- Fixed bug #9839: Wrong total number of pending items in pendinglist view
  (Merged from stable/3.8 rev. 17857)
- Fixed bug #9952: correctxmltext.php update script problem.
- Fixed bug #9940: Error in design/base/override/templates/embed/image.tpl
- Fixed bug #9964: Typo in lib/ezlocale/classes/ezdatetime.php
- Fixed bug #9949: Not possible to create template override by class in admin.
  (Merged from stable/3.9 rev.17876)
- Fixed bug #8653: Time conversion error when setting Expire-header
  in ezhttpheader.php
  (Merged from stable/3.9 (3.9.1) rev.17887)
- Fixed bug #9900: Sending mail issue.
- Fixed bug #9550: Broken section view.
- Fixed bug #9273: Compare versions functionality is buggy
  (Merged from stable/3.8 (3.8.7) rev. 17896)
- Fixed bug #9860: ezp390 setup wizard sets admin password to "publish" without
  notifying user
  (Merged from stable/3.9 (3.9.1) rev. 17899)
- Fixed bug #10000: Slowdowns in setup wizard caused by string conversions.
- Fixed bug #10011: No existing "patch" package type.
- Fixed bug #9872: Some problems in updateclasstranslations.php
- Fixed bug #9987: Restoring an object from the trash
- Fixed bug #9683: Section assignment for large subtrees doesn't work with oracle.
  (Merged from stable/3.8 (3.8.7) rev. 17937)
- Fixed bug #9925: Nested cache-block in pagelayout.tpl
  (Merged from stable/3.9 (3.9.1) rev. 17940)
- Fixed bug #5516:PDF-on-the-fly-issue with IE: wrong header?
  (Merged from stable/3.8 rev. 17942, stable/3.9 rev. 17943)
- Fixed bug #10008: Missing content/edit_conflict.tpl in standard design
  (Merged from stable/3.9 (3.9.1) rev. 17946)
- Fixed bug #9553: user account verification gives misleading information
  (Merged from stable/3.8 (3.8.7) rev. 17949)
- Fixed bug #9995: Email addresses with underscores
  (Merged from stable/3.8 (3.8.7) rev. 17955)
- Fixed bug #10050: row_count and col_count are not set in 'tr' and 'table'
  tags' templates.
- Fixed bug #10078: 'vendor' field is not kept when exporting package.
- Fixed bug #8718: ezpm.php call to undefined function.
- Fixed bug #9927: ID is not set in embed.tpl.
- Fixed bug #8553: Wrong object embedding by "eznode" if you have more locations.
- Fixed bug #9962: [Workflow] When speciying a section for content approval mechanism,
  content appears without being approved.
  (Merged from stable/3.9 (3.9.1) rev. 17990)
- Fixed bug #8754: installation wizard test for zlib should be critical, not
  optional
- Fixed bug #10048: pdf( set_margin, ... - fails for link text.
  (Merged from stable/3.8 rev. 18012, stable/3.8 rev. 18015)
- Fixed bug #10097: Plain passwords in debug output.
- Fixed bug #9043: information_schema table is displayed in db selection list
  of setup wizard.
  (Merged from stable/3.9 (3.9.1) rev. 18029)
- Fixed bug #9202: Reverse_related_objects fetch results in a query error
  (Merged from stable/3.9 (3.9.1) rev. 18034)
- Fixed bug #9876: setup wizzard, text does not match visual
  (Merged from stable/3.9 (3.9.1) rev. 18047)
- Fixed bug #10105: collectedinfo.php don't include ezcontentobjecttreenode.php.
  (Manually merged from stable/3.6 (3.6.12) rev. 18053)
- Fixed bug #10132: Bug in eZDiscount.
  (Merged from stable/3.8 rev. 18060)
- Fixed bug #10124: Unneccessary redeclaration of $http.
- Fixed bug #10100: RSS import doesn't work with <dc:> tags.
- Fixed bug #9814: Context menue is gone
  (Merged from stable/3.9 (3.9.1) rev. 18068)
- Fixed bug #10094: Breaking subtrees
  (Merged from stable/3.9 (3.9.1) rev. 18070)
- Fixed bug #10150: anchor tag is not a single tag.
- Fixed bug #9984: Multiple locations and content cache problem.
- Fixed bug #8966: Impossible to generate documentation with stable release.
  (Merged from stable/3.9 (3.9.1) rev. 18089)
- Fixed bug #9924: SSLSubtrees failure.
- Fixed bug #9050: Links to non-existing stylesheets.
- Fixed bug #8498: Missing JavaScript function used in ezobjectrelationlist template
- Fixed bug #10142: eZXMLText::inputHandler uses $this while it is sometimes
  called statically.
- Fixed bug #9074: Coding standards: tabs in source code.
- Fixed bug #10005: Hardcoded object id
- Fixed bug #10192: Javascript Error.
  (Merged from stable/3.9 (3.9.1) rev. 18156)
- Fixed bug #9744: Popup menu - edit class leads to new languages interface
- Fixed bug #9908: Linebreaks inside <strong> tag.
- Fixed bug #9753: [eZ Cluster mode] PHP Warnings in ezphpcreator.php and ezexpiryhandler.php.
- Fixed bug #10241: Duplicated toc anchors with non-strict headers.
- Fixed bug #9951: Fatal error - Call to a member function on a non-object
- Fixed bug #10307: Missing variable cheking in template compilation.
  (Merged from stable/3.7 rev. 18211, stable/3.8 rev. 18212, stable/3.9 rev. 18213)
- Fixed bug #10352: Current directory lost in callback function eZExecutionUncleanShutdownHandler().
- Fixed bug #10330: Minor typo in ezcontentclassattribute::clone().
  (Manually merged from stable/3.6 (3.6.12) rev. 18229)
- Fixed bug #10360: Ampersands in URLs are not encoded.
- Fixed bug #10130: Editing object with image make
  very long sql query with out use of index.
- Fixed bug #10253: PHP warning in ezscript when using ob_end_clean().
- Fixed bug #10323: Class translation breaks after some translations.
- Fixed bug #10379: Class editing crash & issues.
  (Merged from stable/3.9 (3.9.1) rev. 18269)
- Fixed bug #10193: Cannot remove untouched drafts.
- Fixed bug #10405: A draft is created in a default translation instead
  of indicated as copy-from when version-limit is reached.
- Fixed bug #10407: Fatal error: Call to a member function on a non-object
  in kernel/content/versions.php on line 106.
- Fixed bug #10402: Content fetch functions return doublicate nodes
  when group limitation is used.
  (Merged from stable/3.9 (3.9.1) rev. 18326)
- Fixed bug #6850: Error reporting can harm soap and webdav responses
- Fixed bug #10414: por-BR locale sets incorrect country name
- Fixed bug #8827: Update shipping info when updating values in the basket (rev. 18340).
- Fixed bug #10427: Typo in eZPHPCreator.
- Fixed bug #10417: content/edit still redirects to deprecated view (content/versions)
- Fixed bug #10317: Design in the setup is too wide in the setup wizard in the system check.
- Fixed bug: template warning 'variable <foo> already exists' while doing
  recursive include in 'foreach'.
- Fixed bug #10435: Editing object gives fatal error (multilangual site)
- Fixed bug #10388: copysubtree.php on line 729
- Fixed bug #9643: RequireUniqueEmail is false by default.
- Fixed bug #10448: Notice: Undefined index: in
  kernel/classes/datatypes/ezselection/ezselectiontype.php on line 123.
- Fixed bug #8996: Wrong title for ezselection.
- Fixed bug #10452: Not possible to update auto rates (rev. 18396).
- Fixed bug #8949: Use of undefined constant WEBDAV_DISABLED.
  (Merged from stable/3.8 rev. 18403, stable/3.9 rev. 18404)
- Fixed bug #9639: eZ publish generates same cache block simultaneously,
  for content view cache.
  (Merged from stable/3.9 rev. 18410)
- Fixed bug #10460: div block is not closed in edit template for ezprice.tpl (rev. 18412)
- Fixed bug #10305: race condition in global ini cache generation.
  (Merged from stable/3.9 rev. 18420, stable/3.8 rev. 18421)
- Fixed bug #10430: Method parameters for eZPHPCreator::addMethodCall not processed right
- Fixed bug #10451: eZContentFunctions::createAndPublishObject does not respect default sort field and order
- Fixed bug #10313: eZMySQLDB constructor does not exit always if mysql extension is not available
- Fixed bug #10270: Undefined variable: this in /srv/www/ezprojects/lib/ezutils/classes/ezsys.php on line 605
- Fixed bug #10165: ezhttp_hasvariable and ezini_hasvariable not registered for autoloading
- Fixed bug #9736: eZImageType::insertRegularFile should use basename for original file name
- Fixed bug #9312: eZMimeType checks protocol but PHP does not support protocol wrappers
- Fixed bug #8821: ezpm Error: (eZFileHandler::copy) Unable to open source file in read mode
- Fixed bug #10103: PHP warnings when eZContentClass::fetchAllClasses is called without $groupList argument
- Fixed bug #10133: Reference warning in eZMatrixDefinition
- Fixed bug #10468: objectedithandler triggered multiple times.
  (Merged from stable/3.8 rev. 18458, trunk rev. 18459)
- Fixed bug #5194: Wrong link to arrow image in CSS file.
- Fixed bug #9953: SiteAccessRules example 3 disables website root
  (Merged from stable/3.8 (3.8.8) rev. 18468)
- Fixed bug #10469: Useless debug message when grabbing content for static cache fails.
- Fixed bug #10472: Notice: Only variable references should be returned by reference
  in kernel/classes/ezcontentclassclassgroup.php on line 103.
- Fixed bug #10475: Hiding of important warnings.
  (Merged from stable/3.8 rev. 18491, stable/3.9 rev. 18492)
- Fixed bug #10461: class_group override does not work.
- Fixed bug #7394: Installation problem on MySQL 5 (Transaction errors with sql-mode STRICT_TRANS_TABLES).
  (Merged from stable/3.9 rev. 18500)
- Fixed bug #10491: pg_exec(): Query failed: syntax error integer: ""
  in lib/ezdb/classes/ezpostgresqldb.php on line 166 (called from eZURLAlias::fetchBySourceURL()).
  (Merged from stable/3.8 (3.8.8) rev. 18514)
- Fixed bug #10503: multioption datatype always required.
  (Merged from stable/3.9 (3.9.2) rev. 18521)
- Fixed bug #10537: Warning: fopen(var/news_site/log/updateview.log):
  No such file or directory in cronjobs/updateviewcount.php on line 86.
  (Merged from stable/3.8 (3.8.8) rev. 18542)
- Fixed bug #10544: Problem when adding a new checkbox with with disabled flag.
  (Merged from stable/3.9 (3.9.2) rev. 18548)
- Fixed bug #10545: Warning: fopen(<path to apache>/log/access_log): failed to open stream:
  No such file or directory in ./cronjobs/updateviewcount.php on line 108.
  (Merged from stable/3.8 (3.8.8) rev. 18552)
- Fixed bug #9559: SitePrefix setting (logfile.ini) doesn't work.
  (Merged from stable/3.8 (3.8.8) rev. 18559)
- Fixed bug #10556: Notice: Undefined offset: 1 in ./cronjobs/updateviewcount.php
  on line 129, 130, 134, 136.
  (Merged from stable/3.8 (3.8.8) rev. 18562)
- Fixed bug #10559: Notice: Undefined variable: triedDirList in
  'lib/ezutils/classes/ezmodule.php' on line 1358.
  (Merged from stable/3.8 (3.8.8) rev. 18566)
- Fixed bug #10557: invalid "Expires" date in header of images.
  (Merged from stable/3.8 rev. 18575, stable/3.9 rev. 18576)
- Fixed bug #10570: RSS feeds generated for a different siteaccesses use the
  same cache files.
  (Merged from stable/3.8 (3.8.8) rev. 18578)
- Fixed bug #9546: eZOrder::activeCount(), api changed from 3.7 to 3.8 + new
  required parameters not used.
  (Merged from stable/3.8 rev. 18581, stable/3.9 rev. 18582)
- Fixed bug #10558: Without ezodf daemon the ms word import fails.
- Fixed bug #10478: eZBasket::cleanupExpired doesnt cleanup.
- Fixed bug #10443: Modified_subnode isn't changed when deleting subnodes.
- Fixed bug #10589: missing include in kernel/common/ezi18noperator.php
  (Merged from stable/3.8 rev. 18603, stable/3.9 rev. 18604)
- Fixed bug #10539: ezmedia datatype: has_content does not work
- Fixed bug #10315: eZINI reports missing groups and settings in debug, but not the file they should be in
- Fixed bug #10591: Fatal error on editing objects.
  (Merged from stable/3.9 (3.9.2) rev. 18612)
- Fixed bug #10377: Inconsistent attribute data
- Fixed bug #10609: No line break are stored in simplified XML input.
  (Merged from stable/3.9 (3.9.2) rev. 18620)
- Fixed bug #10492: Pre-generated view-cache not usable due to wrong cache-keys.
  (Merged from stable/3.9 (3.9.2) rev. 18637).
- Fixed bug #10638: eZTSTranslator should handle the 'location' element.
- Fixed bug #10597: smtp authentication doesn't work anymore
- Fxied bug #10631: ezimage - import contentobject package problem.
- Fixed bug #10598: [patch included] Content indexing crashes.
- Fixed bug #10255: Module global path list not correctly initialized in workflow cronjob
- Fixed bug #10285: Missing variable check of $EditLanguage in kernel/content/edit.php
- Fixed bug #10305: race condition in global ini cache generation ( windows ).
  (Merged from stable/3.8 rev. 18667, stable/3.9 rev. 18668)
- Fixed bug #10329: CJK charsets area definition in ezccodemapper.php.
- Fixed issue #10670: Clean up rename function usage.
  (Merged from stable/3.8 rev. 18677, stable/3.9 rev. 18678)
- Fixed bug #10669: Search might alter unicode characters in the range for CJK Unified Ideographs.
- Fixed bug #10602: upfirst() template operator does not work correctly with multibyte characters.
- Fixed issue #10450: Multiple cronjob parts run simultaneously.
  (Merged from stable/3.8 rev. 18687, stable/3.9 rev. 18688)
- Fixed bug #6574: PDF(content/pdf): Problem with UTF-8 and/or german umlauts
- Fixed bug #10672: Missing check in PDF-view throws notice.
- Fixed bug #10528: Tag order mistake in ezinfo/about.tpl template
- Fixed bug #10510: Windows installer does not provide zip
- Fixed bug #10058: Language is displayed as question marks (e.g. '???????') in admin.
  (Merged from stable/3.9 (3.9.2) rev. 18712).
- Fixed bug #10628: ezdatetime datatype import/export problems.
- Fixed bug #10664: ezxmltext - problem with empty column data_text.
  (Merged from stable/3.8 (3.8.8) rev. 18716)
- Fixed bug #10393: Edit and discard a contentobject with several drafts may
  leed to a wrong current version.
- Fixed bug #10391: New contentclass automatically created.
- Fixed bug #10603: Controls should be done on ezwaituntildatetype.php.
  (Merged from stable/3.9 (3.9.2) rev. 18741).
- Fixed bug #10392: bug in ezurl operator.
- Fixed bug #10413: Review group based permisson fix
- Fixed bug #10681: Node tree in inconsistent/illegal state because of hidden parent with
  retrofitted related objects as children.
- Fixed bug #10636: ezjsselection.js is loaded twice in admin pagelayout.tpl
- Fixed bug #10713: RSS Import - eZKeword datatype import does not work.
  (Merged from stable/3.8 rev. 18847, stable/3.9 rev. 18848)
- Fixed bug #10716: Some typos in "country.ini" file.
- Fixed bug #10721: Wrongly spelled function names in ezstep_site_types.php.
- Fixed bug #10752: Function 'tipafriend_top_list' always returns array filled with the same node.
  (Merged from stable/3.9 (3.9.3) rev. 18869)
- Fixed bug #10508: section-based override fails until object is first published.
- Fixed bug #10778: Error: eZTemplate in table.tpl.
- Fixed bug #10763: Typo in image.ini comment.
- Fixed bug #10665: Wrong path in the description of bin/php/ezcache.php.
- Fixed bug #10663: Fatal error: Undefined class name 'ezsection'.
- Fxied bug #10567: canCreateClassList is wrongly marked as static.
- Fixed issue #8496: Search engines in extensions (with patch).
- Fixed bug #10714: GUI problem for /content/history.
- Fixed bug #8722: A possible bug when connecting "wait until" to "Multiplexer" workflow event.
  (Merged from stable/3.9 (3.9.3) rev. 18914.)
- Fixed bug #10820: Refresh of Login site with SSO Handler does not work.
- Fixed bug #10775: Fatal error when viewing object with related objects at second location after it was
  removed from its first(original) location.
- Fixed bug #8482: Session function is buggy.
- Fixed bug #10516: Missing chi-TW flag in trunk.
- Fixed bug #10694: Letter-turner in ezdebug.php.
- Fixed bug #10709: typpo in ger translation.
- Fixed bug #10855: missing hasVariable check for DependentClassIdentifier in ezcontentcachemanager.php
  (Merged from stable/3.9 (3.9.3) rev. 18959)
- Fixed bug #10843: Variable $cronPart not set in cronjobs
  (Merged from stable/3.9 (3.9.3) rev. 18963)
- Fixed bug #10854: generateNodeListCache is calling storeCache + static cache files are rewritten several times
  (Merged from stable/3.9 (3.9.3) rev. 18966)
- Fixed bug #10868: ezcontentobjecttrashnode 'original_parent' property should
  return null if parent was moved or deleted.
- Fixed bug #10853: Missing ":" in extension_path function.
- Fixed bug #6344: Using ezdesign with not existing CSS, JS, image files leads to unwanted behavior.
- Fixed bug #10392: bug in ezurl operator.
- Fixed bug #10824: unneeded </a> at admin templates (admin/templates/children_list.tpl,
  admin/templates/children_detailed.tpl, admin/templates/children_thumbnail.tpl)
- Fixed bug #10887: Image get lost when created a second language.
  (Merged from stable/3.8 (3.8.9) rev. 19024)
- Fixed bug #10958: Missing 'content/datatype/view/ezxmltags/quote.tpl' template causes warning.
- Fixed bug #11027: Fatal error: Call to a member function on a non-object in
  kernel/user/ezuserfunctioncollection.php on line 202.
- Fixed bug #11033: Compare tpl operator doesn't work properly
  (Merged from stable/3.9 (3.9.3) rev. 19118)
- Fixed bug #10788: PostgreSQL - sql error after setup wizard.
  (Merged from stable/3.9 (3.9.3) rev. 19121)
- Fixed bug #11034: Method removeAttributes() of eZContentClass may be unusable
  due the use of a non-existing variable.
- Fixed bug #11046: it is not possible to get relation list and table list using PostgreSQL db driver.
- Fixed bug #010729: Inconsistency - Translation Button Lost from Admin Content Structure
- Fixed bug #009772: RSS import extension does not work.
- Fixed bug #10392: bug in ezurl operator (additionally fix for default siteaccess handling).
- Fixed bug #10242: $node.children returns unsortet list.
- Fixed bug #10319: Workflow crash with copied objects.
- Fixed bug #010757: Class for handling atomic writing of files.
- Fixed bug #11058: DebugByIP exists twice in site.ini
- Fixed bug #11087: 'has_access_to' fetch function and role-policy caching problem.
- Fixed bug #010170: Country sensitive VAT Rules broken
- Fixed bug #010821: Wrong HTTP (RFC1123) dates in Expires, Last-Modified
- Fixed bug #10817: IDE debug warning
  (Merged from stable/3.8 (3.8.9) rev. 18923)
- Fixed bug #11013: PDF-view needs to be made cluster-aware.
- Fixed bug #10934: Problem with pdf on the fly and ezdb Clusterhandler.
- Fixed bug #11038: eZP might go into an infinite loop if MySQL closes it connections causing apache
  to segfault.
- Fixed bug #11131: Image Shell Handler cannot convert PSD files
- Fixed bug #11080: eZ Publish Email Validation Excludes Google Mail Wildcards
  from Approved Email Validation Codes.
- Fixed bug #11144: "persistent_variable" override isn't working with viewcache disabled.
  (Mered from stable/3.8(3.8.9) rev. 19442)
- Fixed bug #11254: updating content-structure dynamic tree menu and TemplateCache enabled.
- Fixed bug #11137: patch for ezp search engine for handling japanese, chinese, and korean language.
  (Merged from stable/3.9 (3.9.3) rev. 19458)
- Fixed bug #11170: xml-attribute: paragraphs within table cells are lost.
  (Merged from stable/3.9 (3.9.3) rev. 19473)
- Fixed bug #11191: Language parameter of nodetree functions
  (Merged from stable/3.9 (3.9.3) rev. 19487)
- Fixed bug #11182: Missleading documentation for function updateMainNodeID.
  ( Merged from stable/3.8(3.8.9) rev. 19492, stable/3.9(3.9.3 rev. 19495 )
- Fixed bug #11186: Missbehaviour content package import.
  ( Merged from stable/3.9 rev. 19496, stable/3.8 rev. 19698 )
- Fixed bug #011193: Undefined variable: nodes in update/common/scripts/updateniceurls.php
- Fixed bug #11120: Fatal error on clean installation after chosing a NON-plain site package
  (Merged from stable/3.8(3.8.9) rev. 19509)
- Fixed bug #8431: Checkbox class attribute looses default state when class is imported from a package
- Fixed bug #11105: patch for "FROM ezuser WHERE contentobject_id='0'" sql calls.
- Fixed bug #11172: Typo in description of options for ezgeneratetranslationcache.php.
- Fixed bug #10835: webdav: section id isn't set properly.
  ( Merged from stable/3.9 (3.9.3) rev. 19573 )
- Fixed bug #11201: runcronjobs.php --quiet outputs script names - no longer quiet.
- Fixed bug #11222: Sql tweaks to reduce sql queries number per page.
- Fixed bug #11110: class_identifier preloading.
- Fixed bug #10954: SectionObject and ClassObject Cache.
- Fixed bug #11216: eZPersistentObject custom_conds is not an array (rev. 19601)
- Fixed bug #11189: content class: attributes can't be deleted
- Fixed bug #11098: content class import wizard does not show class name.
- Fixed bug #11203: eztc.php doesn't compile siteaccess in extension.
- Fixed bug #11192: no object name if attribute isn't translatable.
  (Merged from stable/3.9 (3.9.3) rev. 19625)
- Fixed bug #009775: class_group override doesn't work when using "node_view_gui' (rev. 19646)
- Fixed bug #011251: Wrong name of a subitem in context menu (GUI issue)
- Fixed bug #10819: Unable to limit access to a view without functions if access to the module is limited.
- Fixed bug #11280: updatesearchindex.php and updateniceurls.php are maintenance scripts.
- Fixed bug #11327: prevent double listing of siteaccess in siteaccess array if servar is used
- Fixed bug #11335: search_extras not set in advancedsearch.php.
- Fixed bug #011292: Clean up of a contentclass is not done when you remove a language.
- Fixed bug #011331: #1101 - BLOB/TEXT column 'text' can't have a default value.
- Fixed bug #011348: Trailing whitespaces in eZ publish code.
- Fixed bug #011353: Correction in text for ISBN datatype in class edit
- Fixed bug #11307: Setup wizard fails with fatal error / database transaction
  error in certain circumstances.
- Fixed bug #011338: RSS Crashes if selected class doesn't have the selected field values to export.
- Fixed bug #11330: updateniceurls.php is missing in eZ Publish 3.10.0beta1 package.
- Fixed bug #011340: RSS cache doesn't get emptied out.
- Fixed bug #11329: Kernel error 1 on System information page.
- Fixed bug #11305: Flash/media binaries are not versioned.
- Fixed bug #011306: updateniceurls.php isn't working for hidden nodes
- Fixed bug #11309: preferences: wrong redirection at nodes with special characters
- Fixed bug #11293: Inconsistent image directories after upgrading to 3.10.
- Fixed bug #11263: Typo in kernel/content/copysubtree.php
- Fixed bug #11272: Typo (ger-DE): "Die Klasse ... ist nicht konfiguriert Unterelmente zu enthalten."
  (trunk/share/translations rev. 619)
- Fixed bug #11262: Typo in eZINIAddonPackageHandler
- Fixed bug #11372: Typos in context of debug messages
- Fixed bug #11373: Wrong doxygen API doc for class eZContentObjectPackageInstaller
- Fixed bug #11314: GUI problem in "Setup -> URL translator" in 3.10
- Fixed bug #11321: multiple results of nodes in fetch tree if using Role policy 'content -> read -> group -> self'.
- Fixed bug #011276: ezsearch - mysql index.
- Fixed bug #011284: Varchar(255) is not enough for ezurl.url.
- Fixed bug #11323: WebDAV does not open folders for wich custom URL alias name pattern defined.
- Fixed bug #11356: Template reference issue loss of xml information.
  (Merged from stable/3.9 (3.9.4) rev. 19858)
- Fixed bug #11322: WebDAV does not show Media VirtualFolder Content
- Fixed bug #11395: updateniceurls.php does not handle all names
- Fixed bug #9350: Policies with section limitations seem not to be updated when removing section.
- Fixed bug #11399: fetch operator creates invalid sql with negative offset.
  (Merged from stable/3.9 (3.9.4) rev.19877)
- Fixed bug #11224: removeSubtrees: hardcoded user class identifier.
- Fixed bug #11238: ezinfo/copyright out of date.
- Fixed bug #11336: typo in eZContentObject API documentation.
- Fixed bug #8019: Translations in extension ignored if language does not exist in main share/translations.
- Fixed bug #11313: eZContentClassAttribute constructor does not check if $row['serialized_name_list'] is set.
- Fixed bug #11319: Collaboration summary view of standard design has wrong page navigation.
- Fixed bug #11239: error when viewing a product item.
- Fixed bug #11457: dba files in datatypes does not support extensions.
- Fixed bug #11253: Log in a user with method loginCurrent doesn't update global user cache.
- Fixed bug #11454: PaymentCallbackChecker can't handle multiple currencies per siteaccess.
- Fixed bug #11286: Paypal - checkAmount failed - floating point number comparrison is unsafe.
- Fixed bug #11402: PHP Warning displayed when creating new workflow of
  payment gateway type and no payment gateway exist.
- Fixed bug #9237: Upgrade script for 3.8 deletes published objects in cases of db inconsistency.
- Fixed bug #11050: Upload related content in OnlineEditor doesn't work.
- Fixed bug #11440: index_treemenu.php missing in distro.
- Fixed bug #11287: German Translation, email send if new user registrate.
- Fixed bug #11469: Selecting Eng, Ger and Nor languages during setup wizard ends in corrupted installation.
- Fixed bug #10989: Unused drop-down list in the "Object relations" datatype edit interface.
- Fixed bug #10792: node_id on objectrelations are not updated on trash / restore.
- Fixed bug #11363: php warning in ezuser.php.
- Fixed bug #11257: call to exit( 1 ) after $script->shutdown( 1 ).
- Fixed bug #11391: reference notices in infocollector/collectionlist/<ID> view.
- Fixed bug #11333: $classID not defined in customObjectAttributeHTTPAction().
  (Merged from stable/3.9 (3.9.4) rev. 19984)
- Fixed bug #11433: Min password length for changing password is fix.
- Fixed bug #10729: Inconsistency - Translation Button Lost from Admin Content Structure.
- Fixed bug #11480: A bug in updateniceurls.php prevents upgrading
  from 3.9.3 to 3.10.0rc1 successfully.
- Fixed bug #11332: group policy causes sql errors.
- Fixed bug #11358: /content/action module override post variables when merging with session LastPostVars.
- Fixed bug #11113: Typo in eZMediaType::serializeContentObjectAttribute
- Fixed bug #11090: eztimetype uses constants defined for ezdatetype
- Fixed bug #11092: eZUser::fromString uses undefined variables
- Fixed bug #11071: Wrong usage of chmod in eZPackage
- Fixed bug #10893: No translation caches generated when ts-list option is omitted
- Fixed bug #11089: Wrong API documentation for eZContentObjectPackageInstaller::packageType
- Fixed bug #10917: ezimage.tpl may leave <a> tag unclosed, breaks XHTML
- Fixed bug #10356: Possible bug in placementKey() in eztemplateblockfunction.php
- Fixed bug #010471: images not shown after installation (path to ImageMagick is not handled properly under windows)
- Fixed bug #011230: 3.10alpha - sequence is broken.
- Fixed bug #011488: eZContentObjectVersion::name calls eZContentObject::name with wrong arguments
- Fixed bug #011492: Error in the template compile code using extract and extract_left
- Fixed bug #11510: [SearchSettings]->ExtensionDirectories setting missing from site.ini
- Fixed bug #11312: Anchor in ezxml headers.
- Fixed bug #11525: small bug in ezstaticcache
- Fixed bug #11504: webdav support in cluster mode.
- Fixed bug #11361: Hidden blogposts available through tag.
- Fixed bug #11530: Inconsistent use of ISBN (and relatives like ISBN-10 and ISBN-13).
- Fixed bug #011371: read title of hidden blogpost.
- Fixed bug #10546: [patch included] ezroot() and ezurl() mishandle first parameter, with TemplateCompile enabled.
- Fixed bug #11303: Webdav does not use SiteLanguageList properly.
